org.apache.hc.client5.http.impl.cookie

## Class BasicDomainHandler

- java.lang.Object
- - org.apache.hc.client5.http.impl.cookie.BasicDomainHandler

- All Implemented Interfaces:
    CommonCookieAttributeHandler, CookieAttributeHandler

      @Contract(threading=STATELESS)
      public class BasicDomainHandler
      extends Object
      implements CommonCookieAttributeHandler

  Cookie `domain` attribute handler.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BasicDomainHandler` | `INSTANCE` Default instance of `BasicDomainHandler`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicDomainHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttributeName()`
    `boolean` | `match(Cookie cookie, CookieOrigin origin)` Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
    `void` | `parse(SetCookie cookie, String value)` Parse the given cookie attribute value and processChallenge the corresponding `Cookie` property.
    `void` | `validate(Cookie cookie, CookieOrigin origin)` Performs cookie validation for the given attribute value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final BasicDomainHandler INSTANCE

      Default instance of `BasicDomainHandler`.
      Since:
        5.2

  - ### Constructor Detail

    - #### BasicDomainHandler

          public BasicDomainHandler()

  - ### Method Detail

    - #### parse

          public void parse(SetCookie cookie,
                            String value)
                     throws MalformedCookieException

      Description copied from interface: `CookieAttributeHandler`
      Parse the given cookie attribute value and processChallenge the corresponding `Cookie` property.
      Specified by:
        `parse` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to be updated
        `value` - cookie attribute value from the cookie response header
      Throws:
        `MalformedCookieException` - if cookie parsing fails for this attribute

    - #### validate

          public void validate(Cookie cookie,
                               CookieOrigin origin)
                        throws MalformedCookieException

      Description copied from interface: `CookieAttributeHandler`
      Performs cookie validation for the given attribute value.
      Specified by:
        `validate` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to validate
        `origin` - the cookie source to validate against
      Throws:
        `MalformedCookieException` - if cookie validation fails for this attribute

    - #### match

          public boolean match(Cookie cookie,
                               CookieOrigin origin)

      Description copied from interface: `CookieAttributeHandler`
      Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
      Specified by:
        `match` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to match
        `origin` - the cookie source to match against
      Returns:
        `true` if the match is successful; `false` otherwise

    - #### getAttributeName

          public String getAttributeName()

      Specified by:
        `getAttributeName` in interface `CommonCookieAttributeHandler`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.